Package org.codehaus.groovy.ast.expr

## Class ArrayExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.ArrayExpression

-     public class ArrayExpression
      extends Expression

  Represents an array object construction either using a fixed size or an initializer expression

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArrayExpression​(ClassNode elementType, List<Expression> expressions)` | Creates an array using an initializer expression
    `ArrayExpression​(ClassNode elementType, List<Expression> expressions, List<Expression> sizeExpression)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addExpression​(Expression expression)` |
    `ClassNode` | `getElementType()` |
    `Expression` | `getExpression​(int i)` |
    `List<Expression>` | `getExpressions()` |
    `List<Expression>` | `getSizeExpression()` |
    `String` | `getText()` |
    `boolean` | `isDynamic()` |
    `String` | `toString()` |
    `Expression` | `transformExpression​(ExpressionTransformer transformer)` | Return a copy of the expression calling the transformer on any nested expressions
    `void` | `visit​(GroovyCodeVisitor visitor)` |

    - ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

      `getType, setType, transformExpressions, transformExpressions`

    - ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

      `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrayExpression

          public ArrayExpression​(ClassNode elementType,
                                 List<Expression> expressions,
                                 List<Expression> sizeExpression)

    - #### ArrayExpression

          public ArrayExpression​(ClassNode elementType,
                                 List<Expression> expressions)

      Creates an array using an initializer expression

  - ### Method Detail

    - #### addExpression

          public void addExpression​(Expression expression)

    - #### getExpressions

          public List<Expression> getExpressions()

    - #### visit

          public void visit​(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### isDynamic

          public boolean isDynamic()

    - #### transformExpression

          public Expression transformExpression​(ExpressionTransformer transformer)

      Description copied from class: `Expression`
      Return a copy of the expression calling the transformer on any nested expressions
      Specified by:
        `transformExpression` in class `Expression`

    - #### getExpression

          public Expression getExpression​(int i)

    - #### getElementType

          public ClassNode getElementType()

    - #### getText

          public String getText()

      Overrides:
        `getText` in class `ASTNode`

    - #### getSizeExpression

          public List<Expression> getSizeExpression()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`